Subject: WG Chairs Forum virtual meeting, Thursday 29 October, 15:00 UTC, via Zoom

From: Karen O'Donoghue <[email-masked]>
Date: Thu, 15 Oct 2020 00:43:58 +0000

WG Chairs, 

Thank you to everyone who answered the doodle poll. I did realize after I started getting some inputs that I didn't provide sufficient time slots for spreading the time zone pain more evenly. I know this time is not going to work for everyone. 

Virtual WG Chairs Forum Draft Agenda, Thursday 29 October, 15:00 UTC

1. WG Chair experiences and advice on effectively leading a working group through all these virtual meetings. Note, this is NOT about the tools, this is about all the management aspects around making or keeping your working group productive during these challenging times.

2. Resource Development for IETF WG Chairs (see email from Greg Wood dated Monday, 12 October) 

3. Next steps for this forum

4. AOB.

Regards,
Karen and Rich

Zoom invite details: 
Topic: IETF WG Chairs virtual forum meeting
Time: Oct 29, 2020 03:00 PM GMT

Join Zoom Meeting
https://isoc.zoom.us/j/96762212662?pwd=K0ttai9IV1IxWGh0R1EyZGdOZFdPdz09

Meeting ID: 967 6221 2662
Passcode: 082002
One tap mobile
+16465588656,,96762212662# US (New York)
+13017158592,,96762212662# US (Germantown)

Dial by your location
        +1 646 558 8656 US (New York)
        +1 301 715 8592 US (Germantown)
        +1 312 626 6799 US (Chicago)
        +1 669 900 6833 US (San Jose)
        +1 253 215 8782 US (Tacoma)
        +1 346 248 7799 US (Houston)
Meeting ID: 967 6221 2662
Find your local number: https://isoc.zoom.us/u/adLtJhZx8T